/***************************************************************************
 *   Copyright (C) 2004 by Juergen Thies                                   *
 *   layout@juergenthies.de                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "reportitem.h"

reportitem::reportitem()
{
next=NULL;
rang=99;
type="";
count=0;
value.clear();
}


reportitem::~reportitem()
{
if (next!=NULL) {delete next;}
}

void reportitem::add(int rang_, const QString &value_){
if (rang_<rang) {rang=rang_;}
count++;
if (!value.contains(value_)){
	if (!(value_.isNull())) value.append(value_);
	}
}

void reportitem::insert(const QString &type_, int rang_, const QString &value_){
  if (type==type_) {add(rang_,value_);}
  else if (next!=NULL) {next->insert(type_ , rang_ , value_);}
  else {
  	next=new reportitem();
	next->type=type_;
	next->rang=rang_;
	next->count=1;
	if (!(value_.isNull())) next->value.append(value_);
  }
}
